Subject: Re: [PATCH 1/5] t5312: test object deletion code paths in a corrupted repository

From: Junio C Hamano <[email-masked]>
Date: Thu, 19 Mar 2015 14:23:25 -0700

Jeff King <[email-masked]> writes:

>> A safer check may be to pack and then make it missing, I guess, but
>> I do not know if the difference matters.
>
> Yeah, I considered that. The trouble is that we are relying on the
> earlier setup that made the object go missing. We cannot pack the refs
> in the setup step, because the earlier tests are checking the loose-ref
> behavior. So we would have to actually restore the object, pack, and
> then re-delete it.

Yes, "restore pack redelete" was what I had in mind when I wondered
such a sequence of extra steps is worth and the difference between
such an approach and an approach to use a hand-crafted packed-refs
file matters.